<?php
/**
 * Blocks
 *
 * @package Kelsey_Pro
 * @since 1.0
 */

 /**
  * Include blocks
  */
require_once get_theme_file_path( '/inc/blocks/src/PopupVideo/PopupVideo.php' );
require_once get_theme_file_path( '/inc/blocks/src/Slider/Slider.php' );
require_once get_theme_file_path( '/inc/blocks/src/Slides/Slides.php' );
require_once get_theme_file_path( '/inc/blocks/src/HeaderSearch/HeaderSearch.php' );
require_once get_theme_file_path( '/inc/blocks/src/HeaderSocial/HeaderSocial.php' );

/**
 * Add Custom block category for custom blocks.
 *
 * @param array $categories
 * @return void
 */
function kelsey_add_block_category( $categories ) {
	$categories[] = array(
		'slug'  => 'kelsey-pro',
		'title' => esc_html__( 'Kelsey Pro', 'kelsey-pro' ),
	);

	return $categories;
}
add_filter(	'block_categories_all', 'kelsey_add_block_category', 10, 2 );
